Skip to content
Start here

List rate limits

rate_limits.list(RateLimitListParams**kwargs)
GET/zones/{zone_id}/rate_limits

Deprecated: This endpoint returns 410 Gone. Please use the Rulesets API instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
ParametersExpand Collapse
zone_id: str

Defines an identifier.

maxLength32
page: Optional[float]

Defines the page number of paginated results.

minimum1
per_page: Optional[float]

Defines the maximum number of results per page. You can only set the value to 1 or to a multiple of 5 such as 5, 10, 15, or 20.

maximum1000
minimum1

List rate limits

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.rate_limits.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
Returns Examples